Package org.eclipse.jface.fieldassist

# Class TextControlCreator

java.lang.Object
org.eclipse.jface.fieldassist.TextControlCreator

All Implemented Interfaces:
  `IControlCreator`

@Deprecated public class TextControlCreator extends Object implements IControlCreator
Deprecated.
As of 3.3, clients should use `ControlDecoration` instead of `DecoratedField`.
An `IControlCreator` for SWT Text controls. This is a convenience class for creating text controls to be supplied to a decorated field.

Since:
  3.2

## Constructor Summary

Constructors
Constructor
Description
`TextControlCreator()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Control`
`createControl(Composite parent, int style)`
Deprecated.
Create a control with the specified parent and style bits.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextControlCreator

public TextControlCreator()
Deprecated.

## Method Details

### createControl

public Control createControl(Composite parent, int style)
Deprecated.
Description copied from interface: `IControlCreator`
Create a control with the specified parent and style bits.

Specified by:
  `createControl` in interface `IControlCreator`
Parameters:
  `parent` - the parent of the control
  `style` - the style of the control
Returns:
  the Control that was created.